;; This "home-environment" file can be passed to 'guix home reconfigure'
;; to reproduce the content of your profile.  This is "symbolic": it only
;; specifies package names.  To reproduce the exact same profile, you also
;; need to capture the channels being used, as returned by "guix describe".
;; See the "Replicating Guix" section in the manual.

(use-modules (gnu home)
             (gnu packages)
             (gnu packages gnupg)
             (gnu services)
             (guix gexp)
             (gnu home services shells)
             (gnu home services dotfiles)
             (gnu home services gnupg)
             (gnu home services shepherd))

(home-environment
 ;; Below is the list of packages that will show up in your
 ;; Home profile, under ~/.guix-home/profile.
 (packages (specifications->packages (list "emacs-no-x"
                                           "git"
                                           "git-crypt"
                                           "git-lfs"
                                           "glibc-locales"
                                           "gnupg"
                                           ;;"go@1.23.2"
                                           "guile"
                                           "guile-algorithms"
                                           "guile-config"
                                           "guile-dsv"
                                           "guile-fibers"
                                           "guile-file-names"
                                           "guile-filesystem"
                                           "guile-gcrypt"
                                           "guile-gnutls"
                                           "guile-ini"
                                           "guile-irregex"
                                           "guile-json"
                                           "guile-lib"
                                           "guile-libyaml"
                                           "guile-quickcheck"
                                           "guile-readline"
                                           "guile-semver"
                                           "guile-sqlite3"
                                           "guile-srfi-145"
                                           "guile-srfi-158"
                                           "guile-srfi-197"
                                           "guile-srfi-235"
                                           "guile-ssh"
                                           "guile-tap"
                                           "ispell"
                                           "nss-certs"
                                           "pass-git-helper"
                                           "password-store"
                                           "pinentry-emacs"
                                           "recutils")))

 ;; Below is the list of Home services.  To search for available
 ;; services, run 'guix home search KEYWORD' in a terminal.
 (services
  (list (service home-bash-service-type
                 (home-bash-configuration
                  (guix-defaults? #t)
                  (environment-variables '(("GPG_TTY" . "$(tty)")
                                           ("ALTERNATE_EDITOR" . "")
                                           ("EDITOR" . "emacsclient --tty")
                                           ("VISUAL" . "emacsclient")))
                  (aliases '(("grep" . "grep --color=auto")
                             ("ls" . "ls -p --color=auto")))))
        (service home-dotfiles-service-type
                 (home-dotfiles-configuration
                  (directories '("./dotfiles"))
                  (layout 'stow)))
        (service home-gpg-agent-service-type)
        (service home-shepherd-service-type))))
